View Issue Details

IDProjectCategoryView StatusLast Update
0004400ArchBugpublic2020-07-16 14:31
Reporterhhassey Assigned Toyorik  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19 
Summary0004400: Arch wall created from wire, fails.
DescriptionArch Wall created from wire fails. as described In this post

Steps To ReproduceCreate a wire with the shown geometry (on the refferred post) , select wire press arch wall. The wall will be created missing two sides and with some cutoffs.

TagsNo tags attached.
FreeCAD InformationOS: Debian GNU/Linux 10 (buster) (GNOME/gnome)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.21860 (Git)
Build type: Release
Branch: master
Hash: d04d675267d18c6f0d0a18c4e30545ec8a0fbd4f
Python version: 3.7.3
Qt version: 5.11.3
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

Activities

hhassey

2020-07-06 05:42

reporter  

Fail_Example.FCStd (12,090 bytes)

Kunda1

2020-07-06 11:16

administrator   ~0014618

confirmed via the forum. Marking for 0.19 release as this is a regression

paullee

2020-07-07 00:19

developer   ~0014621

I can't assign it to myself either ... ? :)

Kunda1

2020-07-07 00:42

administrator   ~0014622

Assigned to paullee

paullee

2020-07-15 20:23

developer   ~0014650

PR submitted
PR

yorik

2020-07-16 14:31

administrator   ~0014652

Fix committed to master branch.

Related Changesets

FreeCAD: master 07349609

2020-07-15 19:55:52

paul lee


Committer: yorik Details Diff
[ArchWall] Fix 0004400 - Archwall creation from certain wire fails.

Forum Discussion - https://forum.freecadweb.org/viewtopic.php?f=23&t=48275#p413745
Affected Issues
0004400
mod - src/Mod/Arch/ArchWall.py Diff File

Issue History

Date Modified Username Field Change
2020-07-06 05:42 hhassey New Issue
2020-07-06 05:42 hhassey File Added: Fail_Example.FCStd
2020-07-06 05:46 hhassey Description Updated View Revisions
2020-07-06 05:46 hhassey Description Updated View Revisions
2020-07-06 11:16 Kunda1 Status new => confirmed
2020-07-06 11:16 Kunda1 Target Version => 0.19
2020-07-06 11:16 Kunda1 Note Added: 0014618
2020-07-07 00:19 paullee Note Added: 0014621
2020-07-07 00:41 Kunda1 Assigned To => paullee
2020-07-07 00:41 Kunda1 Status confirmed => assigned
2020-07-07 00:42 Kunda1 Note Added: 0014622
2020-07-15 20:23 paullee Note Added: 0014650
2020-07-16 14:31 yorik Changeset attached => FreeCAD master 07349609
2020-07-16 14:31 yorik Note Added: 0014652
2020-07-16 14:31 yorik Assigned To paullee => yorik
2020-07-16 14:31 yorik Status assigned => closed
2020-07-16 14:31 yorik Resolution open => fixed